cURL
curl --request GET \
--url https://api.covenance.com/card \
--header 'x-api-key: <api-key>'import requests
url = "https://api.covenance.com/card"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.covenance.com/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"amountCents": 123,
"referenceNumber": "<string>",
"authorizedAt": "2023-11-07T05:31:56Z",
"merchantData": {
"description": "<string>",
"categoryCode": "<string>"
},
"cardId": "<string>",
"originalCurrency": {
"code": "<string>",
"amountCents": 123,
"conversionRate": 123
},
"declineReason": "<string>"
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}Card
Get cards
Get all of your cards
GET
/
card
cURL
Authorizations
Query Parameters
Filter by status
Available options:
active, paused, inactive, closed Sorts card by creation date or name.
The direction to apply the sort filter by. Default ASC.
Available options:
ASC, DESC Cursor for pagination
⌘I

